<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('telemed_pros', function (Blueprint $table) {
            $table->dropColumn(['availability_to', 'availability_from']);
        });

        Schema::table('telemed_pros', function (Blueprint $table) {
            $table->time('availability_to')->nullable();
            $table->time('availability_from')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
    }
};
